# Class OpenSSLConf

java.lang.Object
org.apache.tomcat.util.net.openssl.OpenSSLConf

All Implemented Interfaces:
  `Serializable`

public class OpenSSLConf extends Object implements Serializable
Represents an OpenSSL configuration containing a list of commands.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpenSSLConf()`
Constructs a new OpenSSLConf.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCmd(OpenSSLConfCmd cmd)`
Adds a command to this configuration.
`List<OpenSSLConfCmd>`
`getCommands()`
Returns the list of commands in this configuration.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenSSLConf

public OpenSSLConf()
Constructs a new OpenSSLConf.

## Method Details

### addCmd

public void addCmd(OpenSSLConfCmd cmd)
Adds a command to this configuration.

Parameters:
  `cmd` - The command to add

### getCommands

public List<OpenSSLConfCmd> getCommands()
Returns the list of commands in this configuration.

Returns:
  The list of commands